% Model_Pend3.m
% 
% OdUq̓͊w̓f
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% ======================================================================
% ͂̎ނ̒`
% 'KINEMATICS'  'DYNAMICS' ̂ꂩ̂ݗL
% ======================================================================
AnalysisType = 'DYNAMICS';

% ======================================================================
% {fBɊւ̒`
% ======================================================================

% Number of Bodies
Body.Number = 4;

% Data of Mass and Moment of Inertia
% as [ m_i I_i ]  (s: Body.Number)
% ########## Ll}eBNX͂ł͒`sv ##########
Body.Mass = [ 1.000  3.33e-3
              1.000  3.33e-3
              1.000  3.33e-3
              1.000  3.33e-3];

% Initial position and velocity of Bodies
% as [ x_i y_i theta_i dx_i dy_i dtheta_i ] (s: Body.Number)
Body.InitPos = [ 0.000   0.000  0.000  0.000  0.000  0.000
                 0.0867 -0.050 -0.524  0.000  0.000  0.000
                 0.0867 -0.150  0.524  0.000  0.000  0.000
                 0.000  -0.300  1.571  0.000  0.000  0.000];

% ======================================================================
% ]WCg̒`
% ======================================================================

% Number of Revolute joints
Joint.RJ.Number = 3;

% Data of Revolute joints
% as [ Body_i Body_j x_i y_i x_j y_j ]
% (s: Joint.RJ.Number)
Joint.RJ.Data =  [ 1 2  0.000  0.000 -0.100  0.000
                   2 3  0.100  0.000  0.100  0.000
                   3 4 -0.100  0.000  0.100  0.000 ];

% ======================================================================
% iWCg̒`
% ======================================================================

% Number of Translational joints
Joint.TJ.Number = 0;

% Data of Translational joints
% as [ Body_i Body_j xP_i yP_i xQ_i yQ_i xP_j yP_j ]
% (s: Joint.TJ.Number)
Joint.TJ.Data = [];

% ======================================================================
% OhS̒`
% ======================================================================

% Number of Bodies attached to the ground
Joint.GR.Number = 1;

% Data of Ground constraints
% as [ BodyNumber_1 BodyNumber_2 ... BodyNumber_NG ]
% (s: Joint.GR.Number)
Joint.GR.Data = [ 1 ];

% ======================================================================
% PS̒`
% ======================================================================

% Number of Simple constraints
Joint.SM.Number = 0;

% Data of Simple constraints
% as [ BodyNumber and Direction index (x=1, y=2, theta=3) ]
% (s: Joint.SM.Number)
Joint.SM.Data = [];

% ======================================================================
% 쓮S̒`
% ======================================================================

% Number of Driving constraints
Joint.DR.Number = 0;

% Data of Driving constraints
% as [ BodyNumber Direction(1/2/3) Pos_0 Vel_0 Acc_0 ]
% (s: Joint.DR.Numbers)
Joint.DR.Data = [];

% ======================================================================
% O͂̒`
% ########## Ll}eBNX͂ł͒`sv ##########
% ======================================================================

% {fBɍpO͂΍WnŋLq
% as [ Fx_i Fy_i Ntheta_i ] (s: Body.Number)
Force.Body = [ 0.000  0.000  0.000
               0.000  0.000  0.000
               0.000  0.000  0.000
               0.000  0.000  0.000 ];

% ======================================================================
% i΂ˁE_pEAN`G[^vf̒`
% ########## Ll}eBNX͂ł͒`sv ##########
% ======================================================================

% Number of Translational force elements
Force.Tran.Number = 0;

% as [ Body_i Body_j x_i y_i x_j y_j k c force l0 ]
% (s: Force.Tran.Number)
Force.Tran.Data = [ ];

% ======================================================================
% Aj[V\̒`
% ======================================================================

% Number of parts for animation
Anime.Number = 3;

% Input animation parts data
% as [ BodyNumber x_L,y_L,x_R,y_R ] (s: Anime.Number)
Anime.Data = [ 2  -0.100  0.000  0.100  0.000
               3  -0.100  0.000  0.100  0.000
               4  -0.100  0.000  0.100  0.000 ];

% Enter Animation frame data
% as [x_min x_max y_min y_max]
Anime.Frame = [-0.5 0.5 -1 0];

% ======================================================================
% V~[V̎ԏ̐ݒ
% ======================================================================
SimInfo.TimeStart = 0.00;			% Time start
SimInfo.TimeEnd   = 2.00;			% Time end
SimInfo.dt        = 0.01;			% Time step

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================