function g_output = baumgarte(Body, Joint, q, dq, t, g_input)
% function g_output = baumgarte(Body, Joint, q, dq, t, g_input)
% 
% Baumgartë艻@
%  vÖ艻p[^alphabeta͓KX̂
%  ԂzɊ܂ލSĂꍇ́Ax̉ӏC邱
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

dq_column = zeros(3*Body.Number,1);

% 艻p[^
alpha = 10;
beta  = 10;

% S
[Fq, phi] = const(Body, Joint, q, dq, t, 1);

% x
% [Fq, nu]  = const(Body, Joint, q, dq, t, 2); % ԂzɊ܂ލSĂꍇ͂𗘗p
nu = zeros(Joint.m, 1); % ԂzɊ܂܂ȂŜ݈ꍇ͂𗘗p

for i=1:Body.Number
	for j=1:3
		dq_column(3*(i-1)+j,1) = dq(i,j);
	end
end

% Stabilization method by Baumgarte
g_output = g_input - 2*alpha*(Fq*dq_column - nu) - beta^2*phi;

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================