% Model_QuickReturn.m
% 
% NCbN^[@\̉^w̓f
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% ======================================================================
% ͂̎ނ
% 'KINEMATICS'  'DYNAMICS' ̂ꂩ̂ݗL
% ======================================================================
AnalysisType = 'KINEMATICS';

% ======================================================================
% {fBɊւ̒`
% ======================================================================

% Number of Bodies
Body.Number = 4;

% Data of Mass and Moment of Inertia
% as [ m_i I_i ]  (s: Body.Number)
% ########## Ll}eBNX͂ł͒`sv ##########
Body.Mass = [ ];

% Initial position and velocity of Bodies
% as [ x_i y_i theta_i dx_i dy_i dtheta_i ] (s: Body.Number)
Body.InitPos = [ 0.000  0.000  0.000  0.000  0.000  0.000
                 0.500  0.866  1.047 -5.441  3.142  6.283
                 2.824  2.553  0.423 -11.09  6.732  0.246
                 3.574  1.687  1.004 -5.644  3.590  3.344 ];

% ======================================================================
% ]WCg̒`
% ======================================================================

% Number of Revolute joints
Joint.RJ.Number = 4;

% Data of Revolute joints
% as [ Body_i Body_j x_i y_i x_j y_j ] (s: Joint.RJ.Number)
Joint.RJ.Data =  [ 1 2  0.000  0.000 -1.000  0.000
                   2 3  1.000  0.000 -2.000  0.000
                   3 4  2.000  0.000  2.000  0.000
                   4 1 -2.000  0.000  2.500  0.000 ];

% ======================================================================
% iWCg̒`
% ======================================================================

% Number of Translational joints
Joint.TJ.Number = 0;

% Data of Translational joints
% as [ Body_i Body_j xP_i yP_i xQ_i yQ_i xP_j yP_j ]
% (s: Joint.TJ.Number)
Joint.TJ.Data = [ ];

% ======================================================================
% OhS̒`
% ======================================================================

% Number of Bodies attached to the ground
Joint.GR.Number = 1;

% Data of Ground constraints
% as [ BodyNumber_1; BodyNumber_2; ...; BodyNumber_NG ]
% (s: Joint.GR.Number)
Joint.GR.Data = [ 1 ];

% ======================================================================
% PS̒`
% ======================================================================

% Number of Simple constraints
Joint.SM.Number = 0;

% Data of Simple constraints
% as [ BodyNumber and Direction index (x=1, y=2, theta=3) ]
% (s: Joint.SM.Number)
Joint.SM.Data = [ ];

% ======================================================================
% 쓮S̒`
% ======================================================================

% Number of Driving constraints
Joint.DR.Number = 1;

% Data of Driving constraints
% as [ BodyNumber Direction(1/2/3) Pos_0 Vel_0 Acc_0 ]
% (s: Joint.DR.Numbers)
Joint.DR.Data = [ 2 3 1.047 6.283 0.000 ];

% ======================================================================
% O͂̒`
% ########## Ll}eBNX͂ł͒`sv ##########
% ======================================================================

% {fBɍpO͂΍WnŋLq
% as [ Fx_i Fy_i Ntheta_i ] (s: Body.Number)
Force.Body = [];

% ======================================================================
% i΂ˁE_pEAN`G[^vf̒`
% ########## Ll}eBNX͂ł͒`sv ##########
% ======================================================================

% Number of Translational force elements
Force.Tran.Number = 0;

% as [ Body_i Body_j x_i y_i x_j y_j k c force l0 ]
% (s: Force.Tran.Number)
Force.Tran.Data = [];

% ======================================================================
% Aj[V\̒`
% ======================================================================

% Number of parts for animation
Anime.Number = 4;

% Input animation parts data
% as [ BodyNumber x_L,y_L,x_R,y_R ] (s: Anime.Number)
Anime.Data = [ 1  0.000  0.000  2.500  0.000
               2 -1.000  0.000  1.000  0.000
               3 -2.000  0.000  2.000  0.000
               4 -2.000  0.000  2.000  0.000 ];
               
% Enter Animation frame data
% as [x_min x_max y_min y_max]
Anime.Frame = [-3 5 -2 6];

% ======================================================================
% V~[V̎ԏ̐ݒ
% ======================================================================
SimInfo.TimeStart = 0.0;			% Time start
SimInfo.TimeEnd   = 10.0;			% Time end
SimInfo.dt        = 0.01;			% Time step

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================