function [k_q, k_dq, lambda] = difeqn(Body, Joint, Force, q, dq, t)
% function [k_q, k_dq, lambda] = difeqn(Body, Joint, Force, q, dq, t)
% 
% DAE(㐔)vO
% 
% ĂяovO 
%  const.m : SƃRrs̕]
%  baumgarte.m : Baumgartë艻@
%  force.m : {fBɍpO͂̕]
%  mass.m : ʍs̕]
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% Evaluate right hand of acceleration eqs.
[Fq, gmm] = const(Body, Joint, q, dq, t, 3);

% Stabilization method by Baumgarte
gmm = baumgarte(Body, Joint, q, dq, t, gmm);

% Evaluate force
FRC = force(Body, Force, q, dq);

% Evaluate mass matrix
EM = mass(Body, Joint, Fq);

% Solve for accelerations and Lagrange multipliers
W = EM\([FRC; gmm]);

% Store results

k_q = dq;

k_dq = zeros(Body.Number, 3);

for i=1:Body.Number
	for j=1:3
		k_dq(i,j) = W(3*(i-1)+j,1);
	end
end

lambda = W(3*Body.Number+1:3*Body.Number+Joint.m);

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================