% initialize.m
% 
% yуft@C̃`FbN
%  ft@C̒`ɖȂ`FbNA肪Ȃꍇ͕ϐ
%  s
% 
% ĂяovO 
%  errormsg.m : G[bZ[WԂvO
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% ======================================================================
% ft@C̓ǂݍ
% ======================================================================
eval(ModelFileName);

% ======================================================================
% Body.Mass ̃`FbN
% ======================================================================
if strcmp(AnalysisType,'DYNAMICS')
	[m, n] = size(Body.Mass);
	
	if (m ~= Body.Number) | (n ~= 2)
		errormsg('Check Body Definition');
		break;
	end
end

% ======================================================================
% Body.InitPos ̃`FbN
% ======================================================================
[m, n] = size(Body.InitPos);
	
if (m ~= Body.Number) | (n ~= 6)
	errormsg('Check Body Definition');
	break;
end

% ======================================================================
% Joint.RJ ̃`FbN
% ======================================================================
if (Joint.RJ.Number ~= 0)
	[m, n] = size(Joint.RJ.Data);
	
	if (m~= Joint.RJ.Number) | (n ~= 6)
		errormsg('Check Revolute Joint Definition');
		break;
	end
end

% ======================================================================
% Joint.TJ ̃`FbN
% ======================================================================
if (Joint.TJ.Number ~= 0)
	[m, n] = size(Joint.TJ.Data);
	
	if (m ~= Joint.TJ.Number) | (n ~= 8)
		errormsg('Check Translational Joint Definition');
		break;
	end
end

% ======================================================================
% Joint.GR ̃`FbN
% ======================================================================
if (Joint.GR.Number ~= 0)
	[m, n] = size(Joint.GR.Data);
	
	if (m~= Joint.GR.Number) | (n ~= 1)
		errormsg('Check Ground Constraint Definition');
		break;
	end
end

% ======================================================================
% Joint.SM ̃`FbN
% ======================================================================
if (Joint.SM.Number ~= 0)
	[m, n] = size(Joint.SM.Data);
	
	if (m~= Joint.SM.Number) | (n ~= 2)
		errormsg('Check Simple Constraints Definition');
		break;
	end
end

% ======================================================================
% Joint.DR ̃`FbN
% ======================================================================
if (Joint.DR.Number ~= 0)
	[m, n] = size(Joint.DR.Data);
	
	if (m~= Joint.DR.Number) | (n ~= 5)
		errormsg('Check Driving Constraints Definition');
		break;
	end
end

% ======================================================================
% ꎞϐ
% ======================================================================
clear m n;

% ======================================================================
% S̎vZƉߍS̃`FbN
% ======================================================================
Joint.m =   Joint.RJ.Number *2 ...
          + Joint.TJ.Number *2 ...
          + Joint.GR.Number *3 ...
          + Joint.SM.Number    ...
          + Joint.DR.Number;

switch AnalysisType
	
	case 'KINEMATICS',
		if 3*Body.Number ~= Joint.m
			errormsg('N must be equal to M');
			break;
		end
	
	case 'DYNAMICS',
		if 3*Body.Number < Joint.m
			errormsg('N must be greater than M');
			break;
		end
	
	otherwise,
		errormsg('Check AnalysisType parameter');
		break;
end

% ======================================================================
% XebvvZƎԂɊւ̃`FbN
% ======================================================================
SimInfo.TotalStep = ...
	ceil((SimInfo.TimeEnd - SimInfo.TimeStart) / SimInfo.dt);

if SimInfo.TotalStep < 0
	errormsg('Check SimInfo parameter');
	break;
end

% ======================================================================
% ̐ݒ
% ======================================================================
time = SimInfo.TimeStart;

% ======================================================================
% ̊i[
% ======================================================================
q  = Body.InitPos(:,1:3);
dq = Body.InitPos(:,4:6);
ddq = zeros(Body.Number, 3);

% ======================================================================
% V~[Vʂi[ϐ̐錾
% ======================================================================
result_q = zeros(Body.Number,3,SimInfo.TotalStep+1);
result_q(:,:,1) = q;

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================