function [Fq, RHS] = smpl(Body, Joint, q, dq, flag)
% function [Fq, RHS] = smpl(Body, Joint, q, dq, flag)
% 
% PS̕]
% 
% ̐F
%  flag==1: Constraint equation
%  flag==2: Right-hand-side of velocity equations
%  flag==3: Right-hand-side of acceleration equations
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% FqRHS̃TCY錾
Fq  = zeros(Joint.SM.Number, 3*Body.Number);
RHS = zeros(Joint.SM.Number, 1);

for k=1:Joint.SM.Number

	i = Joint.SM.Data(k,1);
	n = Joint.SM.Data(k,2);
	
	% Jacobian matrix nonzero entry	
	Fq(k, 3*(i-1)+n) = 1;
	
	% Constraint equation
	if flag==1
		RHS(k) = q(i,n) - Body.InitPos(i,n);
	end
	
	% Right-hand-side of velocity / acceleration equation
	if flag==2 | flag==3
		RHS(k) = 0;
	end
end

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================