function FlyingRod
% function FlyingRod
% 
% {vO͈ȉ̖pvOłB
% 5́@_̌n̕ʓ͊w
% 5.5@ANC@ɂ2͊w
% 5.5.3@肨щ͗
% (2)tCOEtLVuEbh
%
% Copyright (C) 2007  Ms, ]䕔 ,  `l All Rights Reserved.

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================

matlab_ver=ver('MATLAB');	% MATLAB̃o[WmF
if str2num(matlab_ver.Version(1))>6
	'feature accel off'
	feature accel off;
end


clear all;

element_num=10;     %vf̐ݒ

LL=10;               %Ŝ̗̒ݒ

L=LL/element_num;   %Pvf̒vZ


%---ʉW q ̏lݒ---

for i=1:(element_num+1)
    q((i-1)*4+1,1)=(i-1)*L;
    q((i-1)*4+2,1)=0;
    q((i-1)*4+3,1)=1;
    q((i-1)*4+4,1)=0;
end

%---x qd ̏lݒ---

for i=1:(element_num+1)
    qd((i-1)*4+1,1)=0;
    qd((i-1)*4+2,1)=0;
    qd((i-1)*4+3,1)=0;
    qd((i-1)*4+4,1)=0;
end

%---ʉO̓xNg Q ̐ݒ---

Q=zeros((element_num+1)*4,1);

%---ʍs M ̐ݒ---

A=1.0d-2*1.0d-2;    %fʐ
ro=7850d0;          %x
aro=A*ro;           %fʐρ~x
M=zeros((element_num+1)*4,(element_num+1)*4);
Mi=anc_M(L,aro);    %1vf̎ʍs
for in=1:element_num
    for i=1:8
        for j=1:8
            M((in-1)*4+i,(in-1)*4+j)=M((in-1)*4+i,(in-1)*4+j)+Mi(i,j);  %s̏dˍ킹
        end
    end
end

%---ʍs̋tsvZ---

M_inv=inv(M);


%---lvZ̐ݒ---

figure;
wait_fig=waitbar(0,'Please wait ...');

t=0;                %vZJn
t_end=10.1;          %vZI
dt=1.0d-3;          %ϕXebv
t_save=1;  %f[^ۑXebv
dat_x=[];           %f[^ۑpϐݒ
dat_y=[];           %f[^ۑpϐݒ
dat_t=[];           %f[^ۑpϐݒ
dat_q=[];           %f[^ۑpϐݒ
dat_qd=[];          %f[^ۑpϐݒ
i_save=fix(t_save/dt);  %f[^ۑpϐvZ
t_count=fix(t_end/dt);  %lϕ񐔌vZ
i_rk_save=1;            %f[^ۑpJE^[

%---lvZiRunge-Kutta@j---

for i_rk=1:t_count
    
    waitbar(i_rk/t_count,wait_fig);    
    [qdd1,qd1]=fafv(t,q,qd,L,element_num,Q,M_inv);
    
    q_rk=0.5*dt*qd1;
    qd_rk=0.5*dt*qdd1; 
    [qdd2,qd2]=fafv(t+0.5*dt,q+q_rk,qd+qd_rk,L,element_num,Q,M_inv);
    
    q_rk=0.5*dt*qd2;
    qd_rk=0.5*dt*qdd2;           
    [qdd3,qd3]=fafv(t+0.5*dt,q+q_rk,qd+qd_rk,L,element_num,Q,M_inv);

    q_rk=dt*qd3;
    qd_rk=dt*qdd3;          
    [qdd4,qd4]=fafv(t+dt,q+q_rk,qd+qd_rk,L,element_num,Q,M_inv);    

    t=t+dt;
    q=q+dt/6.0*(qd1+2*qd2+2*qd3+qd4);
    qd=qd+dt/6.0*(qdd1+2*qdd2+2*qdd3+qdd4);

    %roߏo      
        if i_rk_save==i_save;
            t
            clf;plot(q(1:4:(element_num+1)*4,1),q(2:4:(element_num+1)*4,1),'ro-');axis('equal');
            drawnow;
            dat_x=[dat_x;q(1:4:(element_num+1)*4,1)'];
            dat_y=[dat_y;q(2:4:(element_num+1)*4,1)'];
            dat_t=[dat_t;t];
            dat_q=[dat_q;q'];
            dat_qd=[dat_qd;qd'];
            i_rk_save=0;
        end
        
    i_rk_save=i_rk_save+1;      
        
end

close(wait_fig);

%---f[^̕ۑ---
save dat_x dat_x;   %Sߓ_XWf[^ۑ
save dat_y dat_y;   %Sߓ_YWf[^ۑ
save dat_t dat_t;   %ԃf[^̕ۑ
save dat_q dat_q;   %ʉW̕ۑ
save dat_qd dat_qd; %xf[^̕ۑ

%---ʂ̃Oto---
figure;
for i=1:10;hold on;plot(dat_x(i,:),dat_y(i,:),'.-');axis('equal');end


%--------------------------------------------------------------------------
%@ȉ͉͂ɕKvȊ֐`łB
%--------------------------------------------------------------------------

function [qdd,qd]=fafv(t,q,qd,L,element_num,Q,M_inv);
%function [qdd,qd]=fafv(t,q,qd,L,element_num,Q,M_inv,I_inv)
%
%ʉWAxAʍs̋tsƂāA
%^x߂֐vOłB
%ł͗[XYWŒ肷邽߁ADAEƂ
%߂ĂB܂AS덷̔Uh߂ɁA
%Gear̕@KpĂB
%
%  t                
%  q                ʉW
%  qd               ʉW̑x
%  qdd              ʉW̉x
%  L                Pvf̒
%  element_num      vf
%  Q                ʉO̓xNg
%  M_inv            ʍs̋ts
%  I_inv            Gear@ɗps
%
%Copyright (c) 2007 {@Bw All Rights reserved.
%
%
%
%
%
%
%---e͂̌vZ---
Qk=zeros((element_num+1)*4,1);
for j=1:element_num
    Qk_i=anc_K(q((j-1)*4+1:(j-1)*4+8,1),L);
    for i=1:8
        Qk((j-1)*4+i,1)=Qk((j-1)*4+i,1)+Qk_i(i,1);
    end
end
       
%---O͂̐ݒ--- 
if t<=2.5;
    Q(element_num*4+1,1)=4.8;
    Q(element_num*4+2,1)=6.4;
    Q(element_num*4+3,1)=-80*(-q(element_num*4+4,1))/sqrt(q(element_num*4+3,1)^2+q(element_num*4+4,1)^2);
    Q(element_num*4+4,1)=-80*q(element_num*4+3,1)/sqrt(q(element_num*4+3,1)^2+q(element_num*4+4,1)^2);
else
    Q(element_num*4+1,1)=0;
    Q(element_num*4+2,1)=0;
    Q(element_num*4+3,1)=0;
    Q(element_num*4+4,1)=0;
end

%---xƑx̌vZ
qdd=M_inv*(Q-Qk);
qd=qd;



%------------------
%@֐`
%------------------

function Qk=anc_K(q,L)
%function Qk=anc_K(q,L)
%
%ʉWAvf̒ƂAvf̒e
%߂֐vO
%
%  q        ʉW
%  L        Pvf̒
%  Qk       vf̒e
%  EA       ceW~fʐ
%  EI       ceW~fʂQ[g
%    
%
%Copyright (c) 2007 {@Bw All Rights reserved.
%
EA=10000;
EI=500;

K_T=[12 0 6*L 0 -12 0 6*L 0; ...
   0 12 0 6*L 0 -12 0 6*L; ...
   6*L 0 4*L*L 0 -6*L 0 2*L*L 0; ...
   0 6*L 0 4*L*L 0 -6*L 0 2*L*L; ...
   -12 0 -6*L 0 12 0 -6*L 0; ...
   0 -12 0 -6*L 0 12 0 -6*L; ...
   6*L 0 2*L*L 0 -6*L 0 4*L*L 0; ...
   0 6*L 0 2*L*L 0 -6*L 0 4*L*L];

K_T=K_T*EI/L/L/L;

Ld=sqrt((q(1,1)-q(5,1))^2+(q(2,1)-q(6,1))^2);

K_L=[1 0 0 0 -1 0 0 0; ...
   0 1 0 0 0 -1 0 0; ...
   0 0 0 0 0 0 0 0; ...
   0 0 0 0 0 0 0 0; ...
   -1 0 0 0 1 0 0 0; ...
   0 -1 0 0 0 1 0 0; ...
   0 0 0 0 0 0 0 0; ...
   0 0 0 0 0 0 0 0];

K_L=(EA*(Ld-L)/L)/Ld*K_L;

Qk=(K_T+K_L)*q;



%------------------
%@֐`
%------------------

function M=anc_M(el,aro)
%function M=anc_M(el,aro)
%
%vf̎ʍs߂֐vO
%
%  el       vf̒
%  aro      fʐρ~x
%  iro      fʂQ[g~x
%  M@      vf̎ʍs
%
%Copyright (c) 2007 {@Bw All Rights reserved.
%
%
aro=1;
iro=10;

    fm1(1,1)=13.0d0/35.0d0;
	fm1(1,2)=0.0d0;
	fm1(1,3)=11.0d0/210.0d0*el;
	fm1(1,4)=0.0d0;
	fm1(1,5)=9.0d0/70.0d0;
	fm1(1,6)=0.0d0;
	fm1(1,7)=-13.0d0/420.0d0*el;
	fm1(1,8)=0.0d0;
	fm1(2,1)=0.0d0;
	fm1(2,2)=13.0d0/35.0d0;
	fm1(2,3)=0.0d0;
	fm1(2,4)=11.0d0/210.0d0*el;
	fm1(2,5)=0.0d0;
	fm1(2,6)=9.0d0/70.0d0;
	fm1(2,7)=0.0d0;
	fm1(2,8)=-13.0d0/420.0d0*el;
	fm1(3,1)=11.0d0/210.0d0*el;
	fm1(3,2)=0.0d0;
	fm1(3,3)=el*el/105.0d0;
	fm1(3,4)=0.0d0;
	fm1(3,5)=13.0d0/420.0d0*el;
	fm1(3,6)=0.0d0;
	fm1(3,7)=-el*el/140.0d0;
	fm1(3,8)=0.0d0;
	fm1(4,1)=0.0d0;
	fm1(4,2)=11.0d0/210.0d0*el;
	fm1(4,3)=0.0d0;
	fm1(4,4)=el*el/105.0d0;
	fm1(4,5)=0.0d0;
	fm1(4,6)=13.0d0/420.0d0*el;
	fm1(4,7)=0.0d0;
	fm1(4,8)=-el*el/140.0d0;
	fm1(5,1)=9.0d0/70.0d0;
	fm1(5,2)=0.0d0;
	fm1(5,3)=13.0d0/420.0d0*el;
	fm1(5,4)=0.0d0;
	fm1(5,5)=13.0d0/35.0d0;
	fm1(5,6)=0.0d0;
	fm1(5,7)=-11.0d0/210.0d0*el;
	fm1(5,8)=0.0d0;
	fm1(6,1)=0.0d0;
	fm1(6,2)=9.0d0/70.0d0;
	fm1(6,3)=0.0d0;
	fm1(6,4)=13.0d0/420.0d0*el;
	fm1(6,5)=0.0d0;
	fm1(6,6)=13.0d0/35.0d0;
	fm1(6,7)=0.0d0;
	fm1(6,8)=-11.0d0/210.0d0*el;
	fm1(7,1)=-13.0d0/420.0d0*el;
	fm1(7,2)=0.0d0;
	fm1(7,3)=-el*el/140.0d0;
	fm1(7,4)=0.0d0;
	fm1(7,5)=-11.0d0/210.0d0*el;
	fm1(7,6)=0.0d0;
	fm1(7,7)=el*el/105.0d0;
	fm1(7,8)=0.0d0;
	fm1(8,1)=0.0d0;
	fm1(8,2)=-13.0d0/420.0d0*el;
	fm1(8,3)=0.0d0;
	fm1(8,4)=-el*el/140.0d0;
	fm1(8,5)=0.0d0;
	fm1(8,6)=-11.0d0/210.0d0*el;
	fm1(8,7)=0.0d0;
	fm1(8,8)=el*el/105.0d0;

    fm1=fm1*aro*el;
 
    fme1=(6.0d0/5.0d0)/el;
	fme2=0.10d0;
	fme3=(2.0d0/15.0d0)*el;
	fme4=(-1.0d0/30.0d0)*el;
	
	fm2(1,1)=fme1;
	fm2(1,2)=0.0d0;
	fm2(1,3)=fme2;
	fm2(1,4)=0.0d0;
	fm2(1,5)=-fme1;
	fm2(1,6)=0.0d0;
	fm2(1,7)=fme2;
	fm2(1,8)=0.0d0;
	fm2(2,1)=0.0d0;
	fm2(2,2)=fme1;
	fm2(2,3)=0.0d0;
	fm2(2,4)=fme2;
	fm2(2,5)=0.0d0;
	fm2(2,6)=-fme1;
	fm2(2,7)=0.0d0;
	fm2(2,8)=fme2;
	fm2(3,1)=fme2;
	fm2(3,2)=0.0d0;
	fm2(3,3)=fme3;
	fm2(3,4)=0.0d0;
	fm2(3,5)=-fme2;
	fm2(3,6)=0.0d0;
	fm2(3,7)=fme4;
	fm2(3,8)=0.0d0;
	fm2(4,1)=0.0d0;
	fm2(4,2)=fme2;
	fm2(4,3)=0.0d0;
	fm2(4,4)=fme3;
	fm2(4,5)=0.0d0;
	fm2(4,6)=-fme2;
	fm2(4,7)=0.0d0;
	fm2(4,8)=fme4;	
	fm2(5,1)=-fme1;
	fm2(5,2)=0.0d0;
	fm2(5,3)=-fme2;
	fm2(5,4)=0.0d0;
	fm2(5,5)=fme1;
	fm2(5,6)=0.0d0;
	fm2(5,7)=-fme2;
	fm2(5,8)=0.0d0;
	fm2(6,1)=0.0d0;
	fm2(6,2)=-fme1;
	fm2(6,3)=0.0d0;
	fm2(6,4)=-fme2;
	fm2(6,5)=0.0d0;
	fm2(6,6)=fme1;
	fm2(6,7)=0.0d0;
	fm2(6,8)=-fme2;
	fm2(7,1)=fme2;
	fm2(7,2)=0.0d0;
	fm2(7,3)=fme4;
	fm2(7,4)=0.0d0;
	fm2(7,5)=-fme2;
	fm2(7,6)=0.0d0;
	fm2(7,7)=fme3;
	fm2(7,8)=0.0d0;
	fm2(8,1)=0.0d0;
	fm2(8,2)=fme2;
	fm2(8,3)=0.0d0;
	fm2(8,4)=fme4;
	fm2(8,5)=0.0d0;
	fm2(8,6)=-fme2;
	fm2(8,7)=0.0d0;
	fm2(8,8)=fme3;

    fm2=fm2*iro;  
    M=fm1+fm2;
    
