function sol=rungekutta(system, init, period, dt)
%       [[  rungekutta(system, init, dt) ]]
% ̊֐͓K̔QENb^@ɂD
% ͑P "system"ŗ^D
% Q 'period' ͉͎ԂłD
% R 'dt' ͌vZ̎ԍ݂łD
% o͔͂̕ϐxт̎Ԕlxdot̃f[^z񂪁C
% [x xdot]̃tH[ŏo͂D
% 
% Copyright (C) 2007  Ms, ]䕔 , V | All Rights Reserved.

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================

xds=char(system(1));
x2ds=char(system(2));

xi=init(1);
xdoti=init(2);
t=0.;
sol=[];

while  t < period
                                        % stage 1
    x=xi;
    xdot=xdoti;
    k1=[eval(xds) eval(x2ds)];
    t=t+dt/2;
                                        % stage 2
    x=xi+k1(1)*dt/2;
    xdot=xdoti+k1(2)*dt/2;
     k2=[eval(xds) eval(x2ds)];
                                        % stage 3 
    x=xi+k2(1)*dt/2;
    xdot=xdoti+k2(2)*dt/2;
    k3=[eval(xds) eval(x2ds)];
     t=t+dt/2;
                                        % stage 4 
     x=xi+k3(1)*dt;
    xdot=xdoti+k3(2)*dt;
    k4=[eval(xds) eval(x2ds)];
     
    xi=xi+(k1(1)+2*k2(1)+2*k3(1)+k4(1))*dt/6;
    xdoti=xdoti+(k1(2)+2*k2(2)+2*k3(2)+k4(2))*dt/6;
    sol=[sol, [xi; xdoti]];
    
end
plot(sol(1,:), sol(2,:));
xlabel('x');
ylabel('xdot');
